Package jnr.constants.platform.linux

# Enum IP

java.lang.Object
java.lang.Enum<IP>
jnr.constants.platform.linux.IP

All Implemented Interfaces:
  `Serializable`, `Comparable<IP>`, `java.lang.constant.Constable`, `Constant`

public enum IP extends Enum<IP> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`IP_ADD_MEMBERSHIP`
`IP_ADD_SOURCE_MEMBERSHIP`
`IP_BLOCK_SOURCE`
`IP_DEFAULT_MULTICAST_LOOP`
`IP_DEFAULT_MULTICAST_TTL`
`IP_DROP_MEMBERSHIP`
`IP_DROP_SOURCE_MEMBERSHIP`
`IP_FREEBIND`
`IP_HDRINCL`
`IP_IPSEC_POLICY`
`IP_MAX_MEMBERSHIPS`
`IP_MINTTL`
`IP_MSFILTER`
`IP_MTU`
`IP_MTU_DISCOVER`
`IP_MULTICAST_IF`
`IP_MULTICAST_LOOP`
`IP_MULTICAST_TTL`
`IP_OPTIONS`
`IP_PASSSEC`
`IP_PKTINFO`
`IP_PKTOPTIONS`
`IP_PMTUDISC_DO`
`IP_PMTUDISC_DONT`
`IP_PMTUDISC_WANT`
`IP_RECVERR`
`IP_RECVOPTS`
`IP_RECVRETOPTS`
`IP_RECVTOS`
`IP_RECVTTL`
`IP_RETOPTS`
`IP_ROUTER_ALERT`
`IP_TOS`
`IP_TRANSPARENT`
`IP_TTL`
`IP_UNBLOCK_SOURCE`
`IP_XFRM_POLICY`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static IP`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IP[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### IP_OPTIONS

public static final IP IP_OPTIONS

### IP_HDRINCL

public static final IP IP_HDRINCL

### IP_TOS

public static final IP IP_TOS

### IP_TTL

public static final IP IP_TTL

### IP_RECVOPTS

public static final IP IP_RECVOPTS

### IP_RECVRETOPTS

public static final IP IP_RECVRETOPTS

### IP_RETOPTS

public static final IP IP_RETOPTS

### IP_MINTTL

public static final IP IP_MINTTL

### IP_RECVTTL

public static final IP IP_RECVTTL

### IP_MULTICAST_IF

public static final IP IP_MULTICAST_IF

### IP_MULTICAST_TTL

public static final IP IP_MULTICAST_TTL

### IP_MULTICAST_LOOP

public static final IP IP_MULTICAST_LOOP

### IP_ADD_MEMBERSHIP

public static final IP IP_ADD_MEMBERSHIP

### IP_DROP_MEMBERSHIP

public static final IP IP_DROP_MEMBERSHIP

### IP_DEFAULT_MULTICAST_TTL

public static final IP IP_DEFAULT_MULTICAST_TTL

### IP_DEFAULT_MULTICAST_LOOP

public static final IP IP_DEFAULT_MULTICAST_LOOP

### IP_MAX_MEMBERSHIPS

public static final IP IP_MAX_MEMBERSHIPS

### IP_ROUTER_ALERT

public static final IP IP_ROUTER_ALERT

### IP_PKTINFO

public static final IP IP_PKTINFO

### IP_PKTOPTIONS

public static final IP IP_PKTOPTIONS

### IP_MTU_DISCOVER

public static final IP IP_MTU_DISCOVER

### IP_RECVERR

public static final IP IP_RECVERR

### IP_RECVTOS

public static final IP IP_RECVTOS

### IP_MTU

public static final IP IP_MTU

### IP_FREEBIND

public static final IP IP_FREEBIND

### IP_IPSEC_POLICY

public static final IP IP_IPSEC_POLICY

### IP_XFRM_POLICY

public static final IP IP_XFRM_POLICY

### IP_PASSSEC

public static final IP IP_PASSSEC

### IP_TRANSPARENT

public static final IP IP_TRANSPARENT

### IP_PMTUDISC_DONT

public static final IP IP_PMTUDISC_DONT

### IP_PMTUDISC_WANT

public static final IP IP_PMTUDISC_WANT

### IP_PMTUDISC_DO

public static final IP IP_PMTUDISC_DO

### IP_UNBLOCK_SOURCE

public static final IP IP_UNBLOCK_SOURCE

### IP_BLOCK_SOURCE

public static final IP IP_BLOCK_SOURCE

### IP_ADD_SOURCE_MEMBERSHIP

public static final IP IP_ADD_SOURCE_MEMBERSHIP

### IP_DROP_SOURCE_MEMBERSHIP

public static final IP IP_DROP_SOURCE_MEMBERSHIP

### IP_MSFILTER

public static final IP IP_MSFILTER

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static IP[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IP valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<IP>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`